import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
project = client.cloud.projects.get(
project_id=4,
)
print(project.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
project, err := client.Cloud.Projects.Get(context.TODO(), cloud.ProjectGetParams{
ProjectID: gcore.Int(4),
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", project.ID)
}
curl --request GET \
--url https://api.gcore.com/cloud/v1/projects/{project_id} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v1/projects/{project_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"client_id": 1,
"created_at": "2019-12-31T23:59:59",
"deleted_at": "2020-12-31T23:59:59",
"description": "Project description",
"id": 1,
"is_default": true,
"name": "default",
"state": "ACTIVE",
"task_id": "7244e161-664c-4afd-a34e-7003eac4d949"
}Get project
Retrieve detailed information about a specific project.
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
project = client.cloud.projects.get(
project_id=4,
)
print(project.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
project, err := client.Cloud.Projects.Get(context.TODO(), cloud.ProjectGetParams{
ProjectID: gcore.Int(4),
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", project.ID)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Project ID
4
Response
OK
ID associated with the client.
1
Datetime of creation, which is automatically generated.
"2019-12-31T23:59:59"
Datetime of deletion, which is automatically generated if the project is deleted.
"2020-12-31T23:59:59"
Description of the project.
255"Project description"
Project ID, which is automatically generated upon creation.
1
Indicates if the project is the default one. Each client always has one default project.
true
Unique project name for a client.
"default"
The state of the project.
"ACTIVE"
The UUID of the active task that currently holds a lock on the resource. This lock prevents concurrent modifications to ensure consistency. If null, the resource is not locked.
"7244e161-664c-4afd-a34e-7003eac4d949"
Was this page helpful?